/*SYNTAX CSS: 
selector { 
property: value(s);
}
border: style, with, color; 
1) TAG selectors: --> body, h1, footer. . .
2) class selectors --> .class-x, .class-y
3) PSEUDOCLASS Selectors --> :hover, :focus, :checke
*/

body {
    margin: 0;
    background-image: url(../img/Screenshot%202025-02-28%20at%2012.22.56.png);
    background-size: 70px;
    font-family: "biorhyme-variable", sans-serif;
    font-variation-settings: "wdth"100, "wght"400;


}

header {
    background-image: url(../img/Screenshot%202025-03-07%20at%2010.36.40.png);
    padding: 50px 0 20px 0;
    margin-left: 100px;
    margin-right: 100px;


}

h1 {
    font-size: 5em;
    text-align: center;
    text-transform: uppercase;
    margin-bottom: 40px;
    margin-right: 0;
    margin-left: 0;
    margin-top: 0;


}

h1 span:nth-of-type(1) {
    color: #eb3e3e;
}

h1 span:nth-of-type(2) {
    color: #f5ab23;
}

h1 span:nth-of-type(3) {
    color: #f4dc27;
}

h1 span:nth-of-type(4) {
    color: #a5f42b;
}

h1 span:nth-of-type(5) {
    color: skyblue;
}

h1 span:nth-of-type(6) {
    color: mediumpurple;
}

h1 span:nth-of-type(7) {
    color: lightpink;
}

h1 span:nth-of-type(8) {
    color: azure;
}

h1 span:nth-of-type(9) {
    color: lightgray
}


nav {
    display: flex;
    justify-content: space-around;
    margin-left: 100px;
    margin-right: 100px;
   background-image: url(../img/Screenshot%202025-03-07%20at%2012.16.49.png);
    background-size: 65px;
    padding-top: 15px;
    padding-bottom: 15px;
}

nav a {
    color: #e89e48;
    text-decoration: none;
}

main {

    padding-right: 16px;
    padding-left: 16px;
    margin: 0 53px 0 53px;


}

article {
    background-color: white;
    padding: 100px 0;
    margin-left: 30px;
    margin-right: 30px;
    background-image: url(../img/Screenshot%202025-03-07%20at%2010.36.45.png);





}

h2 {
    font-size: 2.5em;
    font-weight: 400;
    text-align: center;
    text-transform: uppercase;
    margin: 0;
    color: #d93b2d;

}

img {
    width: 100%;

}

figure {
    background-color: #f2f2f2;
    margin: 50px 0;
    padding-bottom: 20px;
}

figcaption {
    margin-top: 1.2em;
    text-align: center;
    font-size: 0.09em;
}

p {

    font-size: 1.2em;
    max-width: 75ch;
    margin: 1.5em auto 1.5em auto;
    padding: 0 1em;
    line-height: 1.5;
}

footer {
    background-color: black;
    color: aliceblue;
    padding: 20px 32px 20px 32px;
    font-size: 0.9em;
}

main a {
    color: black;
    text-decoration: none;
}

nav a:hover {

    background-color: #d5e2ff;
    color: steelblue;
    transition: 0.5s;

}

.current {
    color: darkorange;
}

.wib {
    font-size: 25px;
    margin: 2em 0;
    padding: 5em 8em 5em 8em;
    background-image: url(../img/divider1.gifv), url(../img/divider1.gifv);
    background-size: 300px;
    background-repeat: repeat-x;
    background-position: left bottom, left top;
    max-width: none;
    text-align: center;
    transition: background 0.7s ease-out;


}

li {

    border-top: solid 1px;
    border-color: black;
    padding: 1em 2em;
    margin-bottom: 2em;

}

footer {
    margin-left: 100px;
    margin-right: 100px;
    background-image: url(../img/Screenshot%202025-03-07%20at%2012.16.49.png);
}

ul {
    margin: 2em auto 2em auto;
    padding-left: 0;
    list-style-type: none;
    max-width: 75ch;
    font-size: 1.2em;
}

.wib:hover {
    background-color: #f5efd6;
    color: #8eb1d0;

}

.current:checked {
    color: #90a8be;
}

.solid {
    padding: 0, 5em 0;
    border-top: 3px solid #bbb;
    font-size: 60px;
    width: 100%;

}


.container {
    background-color: lightgray;
    margin: 1em 1em;
    padding: 1.5em 0;
}

.item {
    background-color: aliceblue;
    margin: 0.5em;
    padding: 0.5em;
}

.display-inline .item {
    display: inline;
}

.inline-block .item {
    display: inline-block;
}

.flex .container {
    background-color: aliceblue;
    border-style: solid;
    border-color: lightgray;
    border-width: 4px;
    min-height: 300px;
    align-items: flex-end display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

.flex .item {
    background-color: lightgray;

}

.flex nav {
    background:
}

h3 {
    margin: 2em 0 1em;
    font-family: droid-sans, sans-serif;
    font-size: 2.2em;
    font-weight: 400;
    text-align: center;
}

.image-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

    margin: 0 0 2em;
    padding: 1.5em;
}

.image-container figure {
    flex-basis: 450px;
    flex-grow: 1;
    margin: 2px;
}
